View Issue Details

IDProjectCategoryView StatusLast Update
0006199unrealircdpublic2022-12-23 08:57
Reportersyzop Assigned Tosyzop  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.0.5-rc1 
Fixed in Version6.0.5-rc2 
Summary0006199: duplicate letters in EXTBAN=
Description<jesse> EXTBAN=~,aacfjmnpqrrtCCGGOSST
<jesse> from /version irc2.unrealircd.org
TagsNo tags attached.
3rd party modules

Activities

syzop

2022-12-07 12:22

administrator   ~0022678

Goes away after the first REHASH, so something duplicate in the boot code or something.

syzop

2022-12-10 10:45

administrator   ~0022683

https://github.com/unrealircd/unrealircd/commit/165639a007a957ecaf47354c79cbe37603e1efd5

commit 165639a007a957ecaf47354c79cbe37603e1efd5 (HEAD -> unreal60_dev, origin/unreal60_dev, origin/HEAD)
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sat Dec 10 10:39:51 2022 +0100

    Fix ExtBanAdd() for bans that are registered in both MOD_TEST and MOD_INIT
    leading to duplicates. The effect was that in the 005 EXTBAN= string some
    letters showed up twice like EXTBAN=~,aacfjmnpqrrtCCGGOSST.
    Reported by jesse in https://bugs.unrealircd.org/view.php?id=6199

Issue History

Date Modified Username Field Change
2022-12-07 12:20 syzop New Issue
2022-12-07 12:22 syzop Note Added: 0022678
2022-12-10 10:45 syzop Assigned To => syzop
2022-12-10 10:45 syzop Status new => resolved
2022-12-10 10:45 syzop Resolution open => fixed
2022-12-10 10:45 syzop Fixed in Version => 6.0.5-rc1
2022-12-10 10:45 syzop Note Added: 0022683
2022-12-10 10:46 syzop Product Version 6.0.5-rc1 => 6.0.5-rc2
2022-12-23 08:57 syzop Fixed in Version 6.0.5-rc1 => 6.0.5-rc2
2022-12-23 08:57 syzop Product Version 6.0.5-rc2 => 6.0.5-rc1